import { AfterContentChecked, AfterViewInit, ChangeDetectorRef, DoCheck, ElementRef, OnDestroy, OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiMouseService } from "../../services/mouse.service";
import { StiComponentResizerService } from "../../services/sti-component-resizer.service";
import { StiLocalizationService } from "../../services/sti-localization.service";
import { SignatureService } from "../../services/sti-signature.service";
import { StiPDFSignatureElement } from "../../elements/StiPDFSignatureElement";
import * as i0 from "@angular/core";
export declare class StiPDFSignatureComponent implements OnInit, AfterViewInit, DoCheck, OnDestroy, AfterContentChecked {
    model: StiModelService;
    mouse: StiMouseService;
    resize: StiComponentResizerService;
    loc: StiLocalizationService;
    signatureService: SignatureService;
    private cdr;
    element: StiPDFSignatureElement;
    isClone: boolean;
    sigPad: ElementRef;
    text: ElementRef;
    ref: ElementRef;
    label: ElementRef;
    topMargin: number;
    labelRef: any;
    get align(): string;
    get cursor(): string;
    get canvasWidth(): number;
    get canvasHeight(): number;
    constructor(model: StiModelService, mouse: StiMouseService, resize: StiComponentResizerService, loc: StiLocalizationService, signatureService: SignatureService, cdr: ChangeDetectorRef);
    ngAfterContentChecked(): void;
    ngOnDestroy(): void;
    ngDoCheck(): void;
    ngAfterViewInit(): void;
    onMouseDown(event: any): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiPDFSignatureComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiPDFSignatureComponent, "sti-pdf-signature-component", never, { "element": { "alias": "element"; "required": false; }; "isClone": { "alias": "isClone"; "required": false; }; }, {}, never, never, false, never>;
}
